import { MantineTheme, Sx } from '@mantine/core';
import { CSSProperties, ReactNode } from 'react';
import { DataTableColumn, DataTableSortStatus } from './types';
type DataTableHeaderCell<T> = {
    className?: string;
    sx?: Sx;
    style?: CSSProperties;
    visibleMediaQuery: string | ((theme: MantineTheme) => string) | undefined;
    title: ReactNode | undefined;
    sortStatus: DataTableSortStatus | undefined;
    onSortStatusChange: ((sortStatus: DataTableSortStatus) => void) | undefined;
} & Pick<DataTableColumn<T>, 'accessor' | 'sortable' | 'textAlignment' | 'width'>;
export default function DataTableHeaderCell<T>({ className, sx, style, accessor, visibleMediaQuery, title, sortable, textAlignment, width, sortStatus, onSortStatusChange, }: DataTableHeaderCell<T>): JSX.Element | null;
export {};
//# sourceMappingURL=DataTableHeaderCell.d.ts.map